      subroutine sili_germ2
        use bre_commons
!c
!c     silicon: e = 4.6297255 ev/atom
!c              rnn = 2.3521697 a
!c
      implicit double precision(a-h,o-z)
!c
!      include 'common_files.inc'

      dimension xt(250,3) ,xslj(250),xsij(250)
      do 30 l=1,np
           jbegin=nabors(l)
           jend=nabors(l+1)-1
           if(jbegin.gt.jend) go to 30
           kl = ktype(l)
           do 40 i=jbegin,jend
                if(lcheck(i).ne.2) go to 40
                nj=0
                ki = ktype(i)
                xsli=0.0
                ssum=0.0
!c  this is the il term
                in=list(i)
!c  rsq1 is the li term
                s1=rcor(i)
                rsq1=s1*s1
                if(jbegin.eq.jend) go to 51
!c
                      do 50 j=jbegin,jend
                           if(j.eq.i) go to 50
                           if(lcheck(j).ne.2) go to 50
                           jn=list(j)
                           kj = ktype(jn)
                           nj=nj+1
!c  rsq3 is the lj term
                           s3=rcor(j)
                           rsq3 = s3*s3
!c   rsq2 is the ij term
                           rsq2 = 0.0d0
                           do m=1,3
                                xt(nj,m)=cor(j,m)-cor(i,m)
                                rsq2 = rsq2 + xt(nj,m)*xt(nj,m)
                           enddo
                           s2=sqrt(rsq2)
  640                      continue
                           ss=2.0*s1*s3
                           rr=rsq1-rsq3
                           costh=(rsq1+rsq3-rsq2)/ss
!                           aarg = (hdb(kl)+costh)
                           aarg = (hdb(kl)-costh) !YU
                           aarg2 = ddb2(kl) + aarg*aarg
                           gangle = 1.0d0 + cdb2(kl) * (1.0d0/ddb2(kl) &
                                -1.0d0/aarg2)
!c  dg / dcostheta
!                           dgdthet=2.*cdb2(kl)*aarg/aarg2**2
                           dgdthet=-2.*cdb2(kl)*aarg/aarg2**2 !YU
!c  dcostheta / drij  * (1./rij)
                           dctdij = -2.0d0/ss
                           dctdli = (rr+rsq2)/(ss*rsq1)
                           dctdlj = (-rr+rsq2)/(ss*rsq3)
!                           exx = adb(kl)* bww(j)
                           exx = adb(kl)* bww(j)* exp(xtl(kl)**3*(s1-s3)**xtm(kl)) ! TerI/II form
                           dexxdli =  xtl(kl)**3*xtm(kl)*(s1-s3)**(xtm(kl)-1.0) * exx /s1
                           dexxdlj = -xtl(kl)**3*xtm(kl)*(s1-s3)**(xtm(kl)-1.0) * exx /s3
                           ssum = ssum +gangle*exx
!c  the xsij  terms are going to be  dz/drij
                           xtemp = exx*dgdthet
                           xsli=xsli + xtemp*dctdli    + dexxdli*gangle
!c
                           xslj(nj)= exx * gangle * dww(j) /s3 &
                                +xtemp*dctdlj    + dexxdlj*gangle
!c
                           xsij(nj)= xtemp*dctdij
   50 continue
!c
   51 continue
                      dli=(1.0d0+(ssum**xtn2(kl)))
                      bli=dli**(-xtn1(kl))
!c
                      dbdz=0.0
                      if(ssum.eq.0.0) go to 33
                      dbdz = -xtn1(kl)*bli/dli*xtn2(kl) &
                           *(ssum**(xtn2(kl)-1.0))
   33 continue
                      vatt =  exx1(i)
                      vv=-vatt*bli
                      tote=tote+vv
                      eatom(l) = eatom(l) + vv/2.0d0
                      eatom(in)= eatom(in) + vv/2.0d0

  650 continue
!c  li:
                      rp= vatt* dbdz*xsli + bli * dexx1(i)
                      do m=1,3
                           rep=rp*cor(i,m)
                           rnp(l,m)=rnp(l,m)+rep
                           rnp(in,m)=rnp(in,m)-rep
                      enddo
                      if(jbegin.eq.jend) go to 40
!c
                      nj=0
!c
                      do 55 j=jbegin,jend
                           if(i.eq.j) go to 55
                           if(lcheck(j).ne.2) go to 55
                           jn=list(j)
                           nj=nj+1
!c  lj:
                           rp= vatt*dbdz*xslj(nj)
                           do m=1,3
                                rep=rp*cor(j,m)
                                rnp(l,m)=rnp(l,m)+rep
                                rnp(jn,m)=rnp(jn,m)-rep
                           enddo
!c  ij:
                           rp= vatt*dbdz*xsij(nj)
                           do m=1,3
                                rep=rp*xt(nj,m)
                                rnp(in,m)=rnp(in,m)+rep
                                rnp(jn,m)=rnp(jn,m)-rep
                           enddo
55                   continue
40              continue
30     continue
!c
      return
      end subroutine sili_germ2

