      subroutine pibond
        use bre_commons
      implicit double precision(a-h,o-z)
!c
!      include 'common_files.inc'
      parameter(ncc=10000)
!c
      dimension xk(250,3),xl(250,3),xsik(250) &
           ,xsjk(250),xsil(250),xsjl(250),cj(3),ck(3),cl(3),rk(3),rl(3) &
           ,dt2dik(3),dt2djl(3),dt2dij(3) &
           ,dexni(2),dexnj(2),xni(2),xnj(2) &
           ,cfuni(ncc),cfunj(ncc),dcfuni(ncc),dcfunj(ncc) &
           ,cosk(250),cosl(250),sink(250),sinl(250) &
           ,dctjk(250),dctij(250),dctik(250),dctil(250),dctji(250), &
           dctjl(250)
!c
!c find number hydrogens and carbons connected to each atom
!c
      do 500 i=1,np
           jbegin=nabors(i)
           jend=nabors(i+1)-1
           xhc(i,1)=1
           xhc(i,2)=1
           if(jbegin.gt.jend) go to 500
!c
           do 490 j=jbegin,jend
                if(lcheck(j).ne.1) go to 490
                jn=list(j)
                xhc(i,ktype(jn))=xhc(i,ktype(jn))+bww(j)
490        continue
!c
500   continue
!c
!c sum over bonds between atoms i and j
!c
      do 40 i=1,np
           jbegin=nabors(i)
           jend=nabors(i+1)-1
           if(jbegin.gt.jend) go to 40
           ki=ktype(i)
!c
           do 30 j=jbegin,jend
                if(lcheck(j).ne.1) go to 30
                jn=list(j)
                if(i.ge.jn) go to 30
                do 401 mm=1,3
                cj(mm)=cor(j,mm)
401             continue
                sij=rcor(j)
                rsqij=sij*sij
                kj=ktype(jn)
                kikj=ki+kj
!c
!c i side of bond
!c
                nk=0
                xsij=0.0d0
                ssumk=0.0d0
                conk=0.0d0
                xni(1)=xhc(i,1)
                xni(2)=xhc(i,2)
                xni(kj)=xni(kj)-bww(j)
                qi=xni(1)+xni(2)-2.0d0
                sdalik=0.0d0
                if(jbegin.eq.jend) go to 21
!c
                do 20 k=jbegin,jend
                     ali=0.0d0
                     dali=0.0d0
                     daldik=0.0d0
                     if(k.eq.j) go to 20
                     if(lcheck(k).ne.1) go to 20
                     kn=list(k)
                     kk=ktype(kn)
                     nk=nk+1
                     s3=rcor(k)
                     rsq3=s3*s3
                     rsq2=0.0d0
                     do 402 mm=1,3
                          xk(nk,mm)=cor(k,mm)-cj(mm)
                          rsq2=rsq2+xk(nk,mm)*xk(nk,mm)
402                  continue
                     ss=2.0d0*sij*s3
                     rr=rsqij-rsq3
                     costh=(rsqij+rsq3-rsq2)/ss
                     if(costh.gt.1.0d0) costh=1.0d0
                     if(costh.lt.-1.0d0) costh=-1.0d0
                     cosk(nk)=costh
                     sink(nk)=sqrt(1.0d0-costh*costh)
                     if(acos(costh).gt.pi) sink(nk)=-sink(nk)
                     ig=igc(int(-costh*12.0d0)+13)
                     if(ki.eq.1) then
                          if(ig.ne.4) then
                               gangle=spgc(1,ig)+spgc(2,ig)*costh
                               dgdthet=spgc(2,ig)
                               do 45 jj=3,6
                                    gangle=gangle+spgc(jj,ig) &
                                         *(costh**(jj-1))
                                    dgdthet=dgdthet+spgc(jj,ig)* &
                                         (jj-1)*(costh**(jj-2))
45                             continue
                          else
                               ali=0.0d0
                               dali=0.0d0
                               if(qi.lt.xqm) then
!c####
!c                                    qqe=qi-2.0d0
!c                                    qqm=qqe/(qi-xqm)
!c                                    ali=att*exp(0.05d0*qqe*qqm)
!c                                    dali=ali*0.05d0*qqm*(2.0d0-qqm)
!c####
                                    ali=1.0d0
                                    if(qi.gt.att) then
                                         dtemp=pq*(qi-att)
                                         ali=(1.0d0+cos(dtemp))/2.0d0
                                         dali=-pq/2.0d0*sin(dtemp)
                                    endif
!c####
                               endif
                               gangle=spgc(1,ig)+spgc(2,ig)*costh
                               dgdthet=spgc(2,ig)
                               ig1=ig+1
                               gangle1=spgc(1,ig1)+spgc(2,ig1)*costh
                               dgdthet1=spgc(2,ig1)
                               do 545 jj=3,6
                                    gangle=gangle+spgc(jj,ig) &
                                         *(costh**(jj-1))
                                    dgdthet=dgdthet+spgc(jj,ig)* &
                                         (jj-1)*(costh**(jj-2))
!c
                                    gangle1=gangle1+spgc(jj,ig1) &
                                         *(costh**(jj-1))
                                    dgdthet1=dgdthet1+spgc(jj,ig1)* &
                                         (jj-1)*(costh**(jj-2))
545                            continue
                               daldik=dali*(gangle1-gangle)
                               gangle=gangle+ali*(gangle1-gangle)
                               dgdthet=dgdthet+ali*(dgdthet1-dgdthet)
                          endif
                     else
                     ig=igh(int(-costh*12.0d0)+13)
                     gangle=spgh(1,ig)+spgh(2,ig)*costh
                     dgdthet=spgh(2,ig)
                     do 46 jj=3,6
                          gangle=gangle+spgh(jj,ig)*(costh**(jj-1))
                          dgdthet=dgdthet+spgh(jj,ig)* &
                               (jj-1)*(costh**(jj-2))
46                   continue
                     endif
                     fc=bww(k)
                     dfc=dww(k)
                     cfuni(nk)=0.0d0
                     dcfuni(nk)=0.0d0
                     if(kk.eq.1) then
                          xx=xhc(kn,1)+xhc(kn,2)-fc-2.0d0
                          if(xx.lt.3.0d0) then
                               if(xx.le.2.0d0) then
                                    cfuni(nk)=1.0d0
                               else
                                    px=pi*(xx-2.0d0)
                                    cfuni(nk)=(1.0+cos(px))/2.0d0
                                    dcfuni(nk)=-fc*sin(px)*pi/2.0d0
                               endif
                          endif
                     endif
                     conk=conk+fc*cfuni(nk)
!c
                     if(xdb(ki,kj,kk).ne.0.0d0) then
                          exx=reg(ki,kj,kk) &
                               *exp(xdb(ki,kj,kk)*(sij-s3))
                     else
                          exx=1.0
                     endif
!c
                     dctdjk=-2.0d0/ss
                     dctdij=(rr+rsq2)/(ss*rsqij)
                     dctdik=(-rr+rsq2)/(ss*rsq3)
                     dctjk(nk)=dctdjk
                     dctij(nk)=dctdij
                     dctik(nk)=dctdik
                     gs=gangle*exx
                     ssumk=ssumk + fc*gs
                     xtemp=fc*exx*dgdthet
                     gfx=gs*fc*xdb(ki,kj,kk)
                     xsij=xsij + xtemp*dctdij+gfx/sij
                     xsik(nk)=(gs*dfc-gfx)/s3+xtemp*dctdik
                     sdalik=sdalik+exx*fc*daldik
                     xsjk(nk) = xtemp*dctdjk
20              continue
21              continue
!c
!c j side of bond
!c
                nl=0
                xsji=0.0d0
                ssuml=0.0d0
                conl=0.0d0
                lbegin=nabors(jn)
                lend=nabors(jn+1)-1
                xnj(1)=xhc(jn,1)
                xnj(2)=xhc(jn,2)
                xnj(ki)=xnj(ki)-bww(j)
                qj=xnj(1)+xnj(2)-2.0d0
                sdaljl=0.0d0
                if(lbegin.eq.lend) go to 11
!c
                do 10 l=lbegin,lend
                     alj=0.0d0
                     dalj=0.0d0
                     daldjl=0.0d0
                     ln=list(l)
                     if(ln.eq.i) go to 10
                     if(lcheck(l).ne.1) go to 10
                     kl=ktype(ln)
                     nl=nl+1
                     s3=rcor(l)
                     rsq3=s3*s3
                     rsq2=0.0d0
                     do 403 mm=1,3
                          xl(nl,mm)=cor(l,mm)+cj(mm)
                          rsq2=rsq2+xl(nl,mm)*xl(nl,mm)
403                  continue
                     ss=2.0d0*sij*s3
                     rr=rsqij-rsq3
                     costh=(rsqij+rsq3-rsq2)/ss
                     if(costh.gt.1.0d0) costh=1.0d0
                     if(costh.lt.-1.0d0) costh=-1.0d0
                     cosl(nl)=costh
                     sinl(nl)=sqrt(1.0d0-costh*costh)
                     if(acos(costh).gt.pi) sinl(nl)=-sinl(nl)
                     if(kj.eq.1) then
                          ig=igc(int(-costh*12.0d0)+13)
                          if(ig.ne.4) then
                               gangle=spgc(1,ig)+spgc(2,ig)*costh
                               dgdthet=spgc(2,ig)
                               do 47 jj=3,6
                                    gangle=gangle+spgc(jj,ig) &
                                         *(costh**(jj-1))
                                    dgdthet=dgdthet+spgc(jj,ig) &
                                         *(jj-1)*(costh**(jj-2))
47                             continue
                          else
                               alj=0.0d0
                               dalj=0.0d0
                               if(qj.lt.xqm) then
!c###
!c                                    qqe=qj-2.0d0
!c                                    qqm=qqe/(qj-xqm)
!c                                    alj=att*exp(0.05d0*qqe*qqm)
!c                                    dalj=alj*0.05d0*qqm*(2.0d0-qqm)
                                    alj=1.0d0
                                    if(qj.gt.att) then
                                         dtemp=pq*(qj-att)
                                         alj=(1.0d0+cos(dtemp))/2.0d0
                                         dalj=-pq/2.0d0*sin(dtemp)
                                    endif
!c####
                               endif
                               gangle=spgc(1,ig)+spgc(2,ig)*costh
                               dgdthet=spgc(2,ig)
                               ig1=ig+1
                               gangle1=spgc(1,ig1)+spgc(2,ig1)*costh
                               dgdthet1=spgc(2,ig1)
                               do 546 jj=3,6
                                    gangle=gangle+spgc(jj,ig) &
                                         *(costh**(jj-1))
                                    dgdthet=dgdthet+spgc(jj,ig)* &
                                         (jj-1)*(costh**(jj-2))
!c
                                    gangle1=gangle1+spgc(jj,ig1) &
                                         *(costh**(jj-1))
                                    dgdthet1=dgdthet1+spgc(jj,ig1)* &
                                         (jj-1)*(costh**(jj-2))
546                            continue
                               daldjl=dalj*(gangle1-gangle)
                               gangle=gangle+alj*(gangle1-gangle)
                               dgdthet=dgdthet+alj*(dgdthet1-dgdthet)
                          endif
                     else
                     ig=igh(int(-costh*12.0d0)+13)
                     gangle=spgh(1,ig)+spgh(2,ig)*costh
                     dgdthet=spgh(2,ig)
                     do 48 jj=3,6
                          gangle=gangle+spgh(jj,ig)*(costh**(jj-1))
                          dgdthet=dgdthet+spgh(jj,ig)*(jj-1) &
                               *(costh**(jj-2))
48                   continue
                     endif
                     fc=bww(l)
                     dfc=dww(l)
                     cfunj(nl)=0.0d0
                     dcfunj(nl)=0.0d0
!c                     if((kl+kikj).eq.3) then
                     if(kl.eq.1) then
                          xx=xhc(ln,1)+xhc(ln,2)-fc-2.0d0
                          if(xx.lt.3.0d0) then
                               if(xx.le.2.0d0) then
                                    cfunj(nl)=1.0d0
                               else
                                    px=pi*(xx-2.0d0)
                                    cfunj(nl)=(1.0+cos(px))/2.0d0
                                    dcfunj(nl)=-fc*sin(px)*pi/2.0d0
                               endif
                          endif
                     endif
                     conl=conl+fc*cfunj(nl)
!c
                     if(xdb(kj,ki,kl).ne.0.0d0) then
                          exx=reg(kj,ki,kl) &
                               *exp(xdb(kj,ki,kl)*(sij-s3))
                     else
                          exx=1.0d0
                     endif
!c
                     dctdil=-2.0d0/ss
                     dctdji=(rr+rsq2)/(ss*rsqij)
                     dctdjl=(-rr+rsq2)/(ss*rsq3)
                     dctil(nl)=dctdil
                     dctji(nl)=dctdji
                     dctjl(nl)=dctdjl
                     gs=gangle*exx
                     ssuml=ssuml + fc*gs
                     xtemp=fc*exx*dgdthet
                     gfx=gs*fc*xdb(kj,ki,kl)
                     xsji=xsji + xtemp*dctdji + gfx/sij
                     xsjl(nl)=(gs*dfc-gfx)/s3+xtemp*dctdjl
                     sdaljl=sdaljl+exx*fc*daldjl
                     xsil(nl) = xtemp*dctdil
10              continue
11              continue
!c
                exnij=0.0d0
                dexni(1)=0.0d0
                dexni(2)=0.0d0
                if(ki.eq.1) then
                      nh=int(xni(2)+1.0d-12)
                      nc=int(xni(1)+1.0d-12)
                      if((abs(float(nh)-xni(2)).gt.1.0d-08).or. &
                           (abs(float(nc)-xni(1)).gt.1.0d-08)) then
                           call bcuint(ki,kj,xni(2),xni(1),nh,nc, &
                                exnij,dexni(2),dexni(1))
                      else
                           exnij=xh(kj,nh,nc)
                           dexni(2)=xh1(kj,nh,nc)
                           dexni(1)=xh2(kj,nh,nc)
                      endif
                endif
!c
                exnji=0.0d0
                dexnj(1)=0.0d0
                dexnj(2)=0.0d0
                if(kj.eq.1) then
                      nh=int(xnj(2)+1.0d-12)
                      nc=int(xnj(1)+1.0d-12)
                      if((abs(float(nh)-xnj(2)).gt.1.0d-8).or. &
                           (abs(float(nc)-xnj(1)).gt.1.0d-8)) then
                           call bcuint(kj,ki,xnj(2),xnj(1),nh,nc, &
                                exnji,dexnj(2),dexnj(1))
                      else
                           exnji=xh(ki,nh,nc)
                           dexnj(2)=xh1(ki,nh,nc)
                           dexnj(1)=xh2(ki,nh,nc)
                      endif
                endif
!c
                dij=(1.0d0+exnij+ssumk)
                bij=dij**(-0.50d0)
                dji=(1.0d0+exnji+ssuml)
                bji=dji**(-0.50d0)
                dbdzi=-0.50d0*bij/dij
                dbdzj=-0.50d0*bji/dji
                vatt=exx1(j)
                dradi=0.0d0
                dradj=0.0d0
                drdc=0.0d0
                conjug = 1.0d0 + (conk**2) + (conl**2)
                xnt1=xni(1)+xni(2)-1.0d0
                xnt2=xnj(1)+xnj(2)-1.0d0
                call radic(ki,kj,xnt1,xnt2,conjug,rad,dradi,dradj,drdc)
                btot=(bji+bij+rad)
!c
!c dihedral terms
!c
                if(kikj.ne.ndihed) go to 231
!c
                     dbtori=0.0d0
                     dbtorj=0.0d0
                     dbtorc=0.0d0
                     btor=0.0d0
                     call tor(xnt1,xnt2,conjug,ator,datori,datorj &
                          ,datorc)
!c
                     if(abs(ator).le.1.0d-08) go to 231
!c
                     if(jbegin.eq.jend) go to 230
                     if(lbegin.eq.lend) go to 230
                     nk=0
                     do 220 k=jbegin,jend
                          if(k.eq.j) go to 220
                          if(lcheck(k).ne.1) go to 220
                          nk=nk+1
                          if(abs(sink(nk)).lt.1.0d-01) go to 220
                          sink2=sink(nk)*sink(nk)
                          kn=list(k)
                          do 404 mm=1,3
                               ck(mm)=cor(k,mm)
404                       continue
                          rck=rcor(k)
!c
                          if(ktype(kn).eq.2) then
                          fck=1.0d0
                          dfck=0.0d0
                          if(rck.ge.1.60d0) go to 220
                          if(rck.ge.1.30d0) then
                               dtemp=pidt*(rck-1.30d0)
                               fck=(1.0d0+cos(dtemp))/2.0d0
                               dfck=-pidt/2.0d0*sin(dtemp)
                          endif
                          else
                          fck=bww(k)
                          dfck=dww(k)
                          endif
                          nl=0
                               do 210 l=lbegin,lend
                                    ln=list(l)
                                    if(ln.eq.i) go to 210
                                    if(lcheck(l).ne.1) go to 210
                                    nl=nl+1
                                    if(abs(sinl(nl)).lt.1.0d-01) go to 210
                                    sinl2=sinl(nl)*sinl(nl)
                                    do 405 mm=1,3
                                         cl(mm)=cor(l,mm)
405                                 continue
                                    rcl=rcor(l)
!c
                                    if(ktype(ln).eq.2) then
                                    fcl=1.0d0
                                    dfcl=0.0d0
                                    if(rcl.ge.1.60d0) go to 210
                                    if(rcl.ge.1.30d0) then
                                         dtemp=pidt*(rcl-1.30d0)
                                         fcl=(1.0d0+cos(dtemp))/2.0d0
                                         dfcl=-pidt/2.0d0*sin(dtemp)
                                     endif
                                     else
                                     fcl=bww(l)
                                     dfcl=dww(l)
                                     endif
!c
                                    t1=rck*rcl*sij*sij*sink(nk)*sinl(nl)
!c
                                    dt1dik=1.0/rck/rck-dctik(nk)/sink2*cosk(nk)
!c
                                    dt1djk=-dctjk(nk)/sink2*cosk(nk)
!c
                                    dt1djl=1.0/rcl/rcl-dctjl(nl)/sinl2*cosl(nl)
!c
                                    dt1dil=-dctil(nl)/sinl2*cosl(nl)
!c
                                    dt1dij=2.0/sij/sij &
                                         -dctij(nk)/sink2*cosk(nk) &
                                         -dctji(nl)/sinl2*cosl(nl)
!c
                                    crkx=ck(2)*cj(3)-cj(2)*ck(3)
                                    crlx=cj(2)*cl(3)-cl(2)*cj(3)
                                    crky=ck(3)*cj(1)-cj(3)*ck(1)
                                    crly=cj(3)*cl(1)-cl(3)*cj(1)
                                    crkz=ck(1)*cj(2)-cj(1)*ck(2)
                                    crlz=cj(1)*cl(2)-cl(1)*cj(2)
!c
                                    t2=crkx*crlx+crky*crly+crkz*crlz
!c
                                    cw=t2/t1
                                    bt=(1.0d0-cw*cw)
                                    btor=btor+bt*fck*fcl
!c   
                                    dt2dik(1)=-cj(3)*crly+cj(2)*crlz
                                    dt2dik(2)=-cj(1)*crlz+cj(3)*crlx
                                    dt2dik(3)=-cj(2)*crlx+cj(1)*crly
!c
                                    dt2djl(1)=-cj(2)*crkz+cj(3)*crky
                                    dt2djl(2)=-cj(3)*crkx+cj(1)*crkz
                                    dt2djl(3)=-cj(1)*crky+cj(2)*crkx
!c
                                    dt2dij(1)=ck(3)*crly-cl(3)*crky &
                                         -ck(2)*crlz+cl(2)*crkz
!c
                                    dt2dij(2)=ck(1)*crlz-cl(1)*crkz &
                                         -ck(3)*crlx+cl(3)*crkx

                                    dt2dij(3)=ck(2)*crlx-cl(2)*crkx &
                                         -ck(1)*crly+cl(1)*crky
                                    aa=-vatt*2.0d0*cw/t1*ator*fcl*fck
                                    aaa1=vatt*bt*ator
                                    at2=aa*t2
!c
                                    rp1=-dt1dij*at2
                                    rp2=-dt1dik*at2+aaa1*fcl*dfck/rck
                                    rp3=-dt1djl*at2+aaa1*fck*dfcl/rcl
                                    rp4=-dt1djk*at2
                                    rp5=-dt1dil*at2
!c
                                    do 406 mm=1,3
                                         rep=rp1*cj(mm) + aa*dt2dij(mm)
                                         rnp(i,mm)=rnp(i,mm) + rep
                                         rnp(jn,mm)=rnp(jn,mm) - rep
!c
                                         rep=rp2*ck(mm) + aa*dt2dik(mm)
                                         rnp(i,mm)=rnp(i,mm) + rep
                                         rnp(kn,mm)=rnp(kn,mm) - rep
!c
                                         rep=rp3*cl(mm) + aa*dt2djl(mm)
                                         rnp(jn,mm)=rnp(jn,mm) + rep
                                         rnp(ln,mm)=rnp(ln,mm) - rep
!c
                                         rep=rp4*xk(nk,mm)
                                         rnp(jn,mm)=rnp(jn,mm) + rep
                                         rnp(kn,mm)=rnp(kn,mm) - rep
!c
                                         rep=rp5*xl(nl,mm)
                                         rnp(i,mm)=rnp(i,mm) + rep
                                         rnp(ln,mm)=rnp(ln,mm) - rep
406                                 continue
210                            continue
220                       continue
230                  continue
!c
                btot=btot+btor*ator
                dradi=dradi+datori*btor
                dradj=dradj+datorj*btor
                drdc=drdc+datorc*btor
!c
231             continue
!c
!c end dihedral forces
!c
!c********
                 tote=tote-btot*vatt
                eatom(i) = eatom(i) - btot*vatt/2.0d0
                eatom(jn)= eatom(jn) - btot*vatt/2.0d0
!c
                vdbdi=vatt*dbdzi
                vdbdj=vatt*dbdzj
                vdrdc=vatt*drdc
                vdrdi=vatt*dradi
                vdrdj=vatt*dradj
!c
                rp= vdbdi*xsij + vdbdj*xsji + btot*dexx1(j)
                do 407 mm=1,3
                     rep=rp*cj(mm)
                     rnp(i,mm)=rnp(i,mm)+rep
                     rnp(jn,mm)=rnp(jn,mm)-rep
407             continue

!c
!c add many-body forces
!c
!c i side of bond
!c
                if(jbegin.eq.jend) go to 23
                nk=0
!c
                do 22 k=jbegin,jend
                     if(k.eq.j) go to 22
                     if(lcheck(k).ne.1) go to 22
                     kn=list(k)
                     kk=ktype(kn)
                     dwr=dww(k)/rcor(k)
                     nk=nk+1
!c
!c first neighbors
!c
                     rp1=vdbdi*(xsik(nk)+dwr*dexni(kk)) &
                          +dwr*(vdrdi+vdrdc*cfuni(nk)) &
                          +vdbdi*dwr*sdalik
                     rp2=vdbdi*xsjk(nk)
                     do 408 mm=1,3
                          rep=rp1*cor(k,mm)
                          rnp(i,mm)=rnp(i,mm)+rep
                          rnp(kn,mm)=rnp(kn,mm)-rep
!c
!c angular forces
!c
                          rep=rp2*xk(nk,mm)
                          rnp(jn,mm)=rnp(jn,mm)+rep
                          rnp(kn,mm)=rnp(kn,mm)-rep
408                  continue
!c
!c second neighbors via radic
!c
                     ddr=vdrdc*dcfuni(nk)*2.0d0*conk
                     if(ddr.eq.0.0) go to 22
                     mbegin=nabors(kn)
                     mend=nabors(kn+1)-1
                     if(mbegin.ge.mend) go to 22
!c
                     do 17 m=mbegin,mend
                          if(lcheck(m).ne.1) go to 17
                          mn=list(m)
                          if(mn.eq.kn) go to 17
                          rp=ddr*dww(m)/rcor(m)
                          do 409 mm=1,3
                               rep=rp*cor(m,mm)
                               rnp(kn,mm)=rnp(kn,mm)+rep
                               rnp(mn,mm)=rnp(mn,mm)-rep
409                       continue
17                   continue
22              continue
23              continue
!c
!c j side of bond
!c
                if(lbegin.eq.lend) go to 30
                nl=0
!c
                do 12 l=lbegin,lend
                     ln=list(l)
                     if(ln.eq.i) go to 12
                     if(lcheck(l).ne.1) go to 12
                     kl=ktype(ln)
                     dwr=dww(l)/rcor(l)
                     nl=nl+1
!c
!c first neighbors
!c
                     rp1=vdbdj*(xsjl(nl)+dwr*dexnj(kl)) &
                          +dwr*(vdrdj+vdrdc*cfunj(nl)) &
                          +vdbdj*dwr*sdaljl
                     rp2=vdbdj*xsil(nl)
                     do 410 mm=1,3
                          rep=rp1*cor(l,mm)
                          rnp(jn,mm)=rnp(jn,mm)+rep
                          rnp(ln,mm)=rnp(ln,mm)-rep
!c
!c angular forces
!c
                          rep=rp2*xl(nl,mm)
                          rnp(i,mm)=rnp(i,mm)+rep
                          rnp(ln,mm)=rnp(ln,mm)-rep
410                  continue
!c
!c second neighbors via radic
!c
                     ddr=vdrdc*dcfunj(nl)*2.0d0*conl
                     if(ddr.eq.0.0) go to 12
                     nbegin=nabors(ln)
                     nend=nabors(ln+1)-1
                     if(nbegin.ge.nend) go to 12
!c
                     do 18 n=nbegin,nend
                          if(lcheck(n).ne.1) go to 18
                          nn=list(n)
                          if(nn.eq.ln) go to 18
                          rp=ddr*dww(n)/rcor(n)
                          do 411 mm=1,3
                          rep=rp*cor(n,mm)
                          rnp(ln,mm)=rnp(ln,mm)+rep
                          rnp(nn,mm)=rnp(nn,mm)-rep
411                  continue
18                   continue
12              continue
30         continue
40    continue
      return
      end

